Bug 55684 - ipppd ms-dns with $DNS2 set
ipppd ms-dns with $DNS2 set
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-04 16:58 EST by Thimo E
Modified: 2014-03-16 22:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-04 16:58:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thimo E 2001-11-04 16:58:26 EST
Description of problem:
When setting DNS1 AND DNS2 in the configfile, ifup-ippp passes "ms-dns 
$DNS1 $DNS2" to the ipppd but the daemon needs "ms-dns $DNS1 ms-dns $DNS2".

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Enter DNS1 and DNS2 in the configfile
2.
3.
	

Additional info:

Fix:
 --- ifup-ippp.~~~       Sun Nov  4 22:55:46 2001
+++ ifup-ippp   Sun Nov  4 22:48:55 2001
@@ -311,7 +311,10 @@
     if [ -z "$DNS1" -a -z "$DNS2" ]; then
         options="$options ms-get-dns"
     else
-        options="$options ms-dns $DNS1 $DNS2"
+        options="$options ms-dns $DNS1"
+       if [ -n "$DNS2" ]; then
+           options="$options ms-dns $DNS2"
+       fi
     fi
Comment 1 Bill Nottingham 2002-01-25 00:33:35 EST
This should be fixed in 6.50-1, at least.

Note You need to log in before you can comment on or make changes to this bug.